/*! hotel-datepicker 2.0.7 - Copyright 2017 Benito Lopez (http://lopezb.com) - https://github.com/benitolopez/hotel-datepicker - MIT */
var HotelDatepicker=function(){"use strict";var t=function(t,e){var s=e||{};this.format=s.format||"YYYY-MM-DD",this.infoFormat=s.infoFormat||this.format,this.separator=s.separator||" - ",this.startOfWeek=s.startOfWeek||"sunday",this.startDate=s.startDate||new Date,this.endDate=s.endDate||!1,this.minNights=s.minNights||1,this.maxNights=s.maxNights||0,this.selectForward=s.selectForward||!1,this.disabledDates=s.disabledDates||[],this.enableCheckout=s.enableCheckout||!1,this.container=s.container||"",this.animationSpeed=s.animationSpeed||".5s",this.hoveringTooltip=s.hoveringTooltip||!0,this.autoClose=void 0===s.autoClose||s.autoClose,this.i18n=s.i18n||{selected:"Your stay:",night:"Night",nights:"Nights",button:"Close","day-names":["Sun","Mon","Tue","Wed","Thur","Fri","Sat"],"month-names":["January","February","March","April","May","June","July","August","September","October","November","December"],"error-more":"Date range should not be more than 1 night","error-more-plural":"Date range should not be more than %d nights","error-less":"Date range should not be less than 1 night","error-less-plural":"Date range should not be less than %d nights","info-more":"Please select a date range longer than 1 night","info-more-plural":"Please select a date range longer than %d nights","info-range":"Please select a date range between %d and %d nights","info-default":"Please select a date range"},this.getValue=s.getValue||function(){return t.value},this.setValue=s.setValue||function(e){t.value=e},this.input=t,this.init()};return t.prototype.getWeekDayNames=function(){var t=this,e="";if("monday"===this.startOfWeek){for(var s=0;s<7;s++)e+='<th class="datepicker__week-name">'+t.lang("day-names")[(1+s)%7]+"</th>";return e}for(var a=0;a<7;a++)e+='<th class="datepicker__week-name">'+t.lang("day-names")[a]+"</th>";return e},t.prototype.getMonthDom=function(t){return document.getElementById(this.getMonthTableId(t))},t.prototype.getMonthName=function(t){return this.lang("month-names")[t]},t.prototype.getDatepickerId=function(){return"datepicker-"+this.generateId()},t.prototype.getMonthTableId=function(t){return"month-"+t+"-"+this.generateId()},t.prototype.getCloseButtonId=function(){return"close-"+this.generateId()},t.prototype.getTooltipId=function(){return"tooltip-"+this.generateId()},t.prototype.getNextMonth=function(t){var e=new Date(t.valueOf());return new Date(e.setMonth(e.getMonth()+1))},t.prototype.getPrevMonth=function(t){var e=new Date(t.valueOf());return new Date(e.setMonth(e.getMonth()-1))},t.prototype.getDateString=function(t,e){return void 0===e&&(e=this.format),fecha.format(t,e)},t.prototype.parseDate=function(t,e){return void 0===e&&(e=this.format),fecha.parse(t,e)},t.prototype.init=function(){this.parent=this.container?this.container:this.input.parentElement,this.start=!1,this.end=!1,this.minDays=this.minNights>1?this.minNights+1:2,this.maxDays=this.maxNights>0?this.maxNights+1:0,this.startDate&&"string"==typeof this.startDate&&(this.startDate=this.parseDate(this.startDate)),this.endDate&&"string"==typeof this.endDate&&(this.endDate=this.parseDate(this.endDate)),this.isTouchDevice()&&(this.hoveringTooltip=!1),this.isOpen=!1,this.changed=!1,this.createDom();var t=new Date;this.startDate&&this.compareMonth(t,this.startDate)<0&&(t=this.startDate),this.endDate&&this.compareMonth(this.getNextMonth(t),this.endDate)>0&&(t=this.getPrevMonth(this.endDate)),this.showMonth(t,1),this.showMonth(this.getNextMonth(t),2),this.topBarDefaultText(),this.disabledDates.length>0&&this.parseDisabledDates(),this.addListeners()},t.prototype.addListeners=function(){for(var t=this,e=this.datepicker.getElementsByClassName("datepicker__month-button--next"),s=0;s<e.length;s++)e[s].addEventListener("click",function(e){return t.goToNextMonth(e)});for(var a=this.datepicker.getElementsByClassName("datepicker__month-button--prev"),i=0;i<a.length;i++)a[i].addEventListener("click",function(e){return t.goToPreviousMonth(e)});this.input.addEventListener("click",function(e){return t.openDatepicker(e)}),document.getElementById(this.getCloseButtonId()).addEventListener("click",function(e){return t.closeDatepicker(e)}),document.addEventListener("click",function(e){return t.documentClick(e)}),document.addEventListener("mouseover",function(e){return t.documentHover(e)}),document.addEventListener("mouseout",function(e){return t.documentMouseOut(e)}),this.input.addEventListener("change",function(){return t.checkAndSetDefaultValue()})},t.prototype.generateId=function(){var t="";return this.input.id?t+=this.input.id:t+=Date.now(),t},t.prototype.createDom=function(){var t=this.createDatepickerDomString();this.parent.insertAdjacentHTML("beforeend",t),this.datepicker=document.getElementById(this.getDatepickerId())},t.prototype.createDatepickerDomString=function(){var t=this,e='<div id="'+this.getDatepickerId()+'" style="display:none" class="datepicker datepicker--closed">';e+='<div class="datepicker__inner">',e+='<div class="datepicker__topbar"><div class="datepicker__info datepicker__info--selected"><span class="datepicker__info datepicker__info--selected-label">'+this.lang("selected")+' </span> <strong class="datepicker__info-text datepicker__info-text--start-day">...</strong> <span class="datepicker__info-text datepicker__info--separator">'+this.separator+'</span> <strong class="datepicker__info-text datepicker__info-text--end-day">...</strong> <em class="datepicker__info-text datepicker__info-text--selected-days">(<span></span>)</em></div><div class="datepicker__info datepicker__info--feedback"></div><button type="button" id="'+this.getCloseButtonId()+'" class="datepicker__close-button">'+this.lang("button")+"</button></div>",e+='<div class="datepicker__months">';for(var s=1;s<=2;s++)e+='<table id="'+t.getMonthTableId(s)+'" class="datepicker__month datepicker__month--month'+s+'"><thead><tr class="datepicker__month-caption"><th><span class="datepicker__month-button datepicker__month-button--prev" month="'+s+'">&lt;</span></th><th colspan="5" class="datepicker__month-name"></th><th><span class="datepicker__month-button datepicker__month-button--next" month="'+s+'">&gt;</span></th></tr><tr class="datepicker__week-days">'+t.getWeekDayNames(s)+"</tr></thead><tbody></tbody></table>";return e+="</div>",e+='<div style="display:none" id="'+this.getTooltipId()+'" class="datepicker__tooltip"></div>',e+="</div>",e+="</div>"},t.prototype.showMonth=function(t,e){var s=this.getMonthName(t.getMonth()),a=this.getMonthDom(e),i=a.getElementsByClassName("datepicker__month-name")[0],n=a.getElementsByTagName("tbody")[0];i.textContent=s+" "+t.getFullYear(),this.emptyElement(n),n.insertAdjacentHTML("beforeend",this.createMonthDomString(t)),this.updateSelectableRange(),this["month"+e]=t},t.prototype.createMonthDomString=function(t){var e,s=this,a=[],i="";t.setDate(1);var n=t.getDay(),r=t.getMonth();if(0===n&&"monday"===this.startOfWeek&&(n=7),n>0)for(var o=n;o>0;o--){var h=new Date(t.getTime()-864e5*o);e=s.isValidDate(h.getTime()),(s.startDate&&s.compareDay(h,s.startDate)<0||s.endDate&&s.compareDay(h,s.endDate)>0)&&(e=!1),a.push({date:h,type:"lastMonth",day:h.getDate(),time:h.getTime(),valid:e})}for(var d=0;d<40;d++){var l=s.addDays(t,d);e=s.isValidDate(l.getTime()),(s.startDate&&s.compareDay(l,s.startDate)<0||s.endDate&&s.compareDay(l,s.endDate)>0)&&(e=!1),a.push({date:l,type:l.getMonth()===r?"visibleMonth":"nextMonth",day:l.getDate(),time:l.getTime(),valid:e})}for(var c=0;c<6&&"nextMonth"!==a[7*c].type;c++){var p=0;i+='<tr class="datepicker__week-row">';for(var m=0;m<7;m++){var g="monday"===s.startOfWeek?m+1:m;g=a[7*c+g];var u=s.getDateString(g.time)===s.getDateString(new Date),y=!1;g.valid&&s.disabledDates.length>0&&(s.disabledDates.indexOf(s.getDateString(g.time,"YYYY-MM-DD"))>-1?(g.valid=!1,y=!0,p++):p=0);var D={time:g.time,class:"datepicker__month-day--"+g.type+" datepicker__month-day--"+(g.valid?"valid":"invalid")+" "+(u?"datepicker__month-day--today":"")+" "+(y?"datepicker__month-day--disabled":"")+" "+(y&&s.enableCheckout&&1===p?"datepicker__month-day--checkout-enabled":"")};i+='<td class="datepicker__month-day '+D.class+'" '+s.printAttributes(D)+">"+g.day+"</td>"}i+="</tr>"}return i},t.prototype.openDatepicker=function(){this.isOpen||(this.removeClass(this.datepicker,"datepicker--closed"),this.addClass(this.datepicker,"datepicker--open"),this.checkAndSetDefaultValue(),this.slideDown(this.datepicker,this.animationSpeed),this.isOpen=!0,this.showSelectedDays(),this.disableNextPrevButtons())},t.prototype.closeDatepicker=function(){this.isOpen&&(this.removeClass(this.datepicker,"datepicker--open"),this.addClass(this.datepicker,"datepicker--closed"),this.slideUp(this.datepicker,this.animationSpeed),this.isOpen=!1)},t.prototype.autoclose=function(){this.autoClose&&this.changed&&this.isOpen&&this.start&&this.end&&this.closeDatepicker()},t.prototype.documentClick=function(t){this.parent.contains(t.target)||t.target===this.input?"td"===t.target.tagName.toLowerCase()&&this.dayClicked(t.target):this.closeDatepicker()},t.prototype.documentHover=function(t){t.target.tagName&&"td"===t.target.tagName.toLowerCase()&&this.dayHovering(t.target)},t.prototype.documentMouseOut=function(t){t.target.tagName&&"td"===t.target.tagName.toLowerCase()&&(document.getElementById(this.getTooltipId()).style.display="none")},t.prototype.checkAndSetDefaultValue=function(){var t=this.getValue(),e=t?t.split(this.separator):"";if(e&&e.length>=2){var s=this.format;s.match(/Do/)&&(s=s.replace(/Do/,"D"),e[0]=e[0].replace(/(\d+)(th|nd|st)/,"$1"),e[1]=e[1].replace(/(\d+)(th|nd|st)/,"$1")),this.changed=!1,this.setDateRange(this.parseDate(e[0],s),this.parseDate(e[1],s)),this.changed=!0}else this.datepicker.getElementsByClassName("datepicker__info--selected")[0].style.display="none"},t.prototype.setDateRange=function(t,e){if(t.getTime()>e.getTime()){var s=e;e=t,t=s,s=null}var a=!0;if((this.startDate&&this.compareDay(t,this.startDate)<0||this.endDate&&this.compareDay(e,this.endDate)>0)&&(a=!1),!a)return this.showMonth(this.startDate,1),this.showMonth(this.getNextMonth(this.startDate),2),this.showSelectedDays(),void this.disableNextPrevButtons();t.setTime(t.getTime()+432e5),e.setTime(e.getTime()+432e5),this.start=t.getTime(),this.end=e.getTime(),this.compareDay(t,e)>0&&0===this.compareMonth(t,e)&&(e=this.getNextMonth(t)),0===this.compareMonth(t,e)&&(e=this.getNextMonth(t)),this.showMonth(t,1),this.showMonth(e,2),this.showSelectedDays(),this.disableNextPrevButtons(),this.checkSelection(),this.showSelectedInfo(),this.autoclose()},t.prototype.showSelectedDays=function(){var t=this;if(this.start||this.end)for(var e=this.datepicker.getElementsByTagName("td"),s=0;s<e.length;s++){var a=parseInt(e[s].getAttribute("time"),10);t.start&&t.end&&t.end>=a&&t.start<=a||t.start&&!t.end&&t.getDateString(t.start,"YYYY-MM-DD")===t.getDateString(a,"YYYY-MM-DD")?t.addClass(e[s],"datepicker__month-day--selected"):t.removeClass(e[s],"datepicker__month-day--selected"),t.start&&t.getDateString(t.start,"YYYY-MM-DD")===t.getDateString(a,"YYYY-MM-DD")?t.addClass(e[s],"datepicker__month-day--first-day-selected"):t.removeClass(e[s],"datepicker__month-day--first-day-selected"),t.end&&t.getDateString(t.end,"YYYY-MM-DD")===t.getDateString(a,"YYYY-MM-DD")?t.addClass(e[s],"datepicker__month-day--last-day-selected"):t.removeClass(e[s],"datepicker__month-day--last-day-selected")}},t.prototype.showSelectedInfo=function(){var t=this.datepicker.getElementsByClassName("datepicker__info--selected")[0],e=t.getElementsByClassName("datepicker__info-text--start-day")[0],s=t.getElementsByClassName("datepicker__info-text--end-day")[0],a=t.getElementsByClassName("datepicker__info-text--selected-days")[0],i=document.getElementById(this.getCloseButtonId());if(e.textContent="...",s.textContent="...",a.style.display="none",this.start&&(t.style.display="",e.textContent=this.getDateString(new Date(parseInt(this.start,10)),this.infoFormat)),this.end&&(s.textContent=this.getDateString(new Date(parseInt(this.end,10)),this.infoFormat)),this.start&&this.end){var n=this.countDays(this.end,this.start)-1,r=1===n?n+" "+this.lang("night"):n+" "+this.lang("nights"),o=this.getDateString(new Date(this.start))+this.separator+this.getDateString(new Date(this.end));a.style.display="",a.firstElementChild.textContent=r,i.disabled=!1,this.setValue(o,this.getDateString(new Date(this.start)),this.getDateString(new Date(this.end))),this.changed=!0}else i.disabled=!0},t.prototype.dayClicked=function(t){if(!this.hasClass(t,"datepicker__month-day--invalid")){var e=parseInt(t.getAttribute("time"),10);if(this.addClass(t,"datepicker__month-day--selected"),this.start&&this.end||!this.start&&!this.end?(this.start=e,this.end=!1):this.start&&(this.end=e),this.start&&this.end&&this.start>this.end){var s=this.end;this.end=this.start,this.start=s}this.start=parseInt(this.start,10),this.end=parseInt(this.end,10),this.clearHovering(),this.start&&!this.end&&this.dayHovering(t),this.updateSelectableRange(),this.checkSelection(),this.showSelectedInfo(),this.showSelectedDays(),this.autoclose()}},t.prototype.isValidDate=function(t){if(t=parseInt(t,10),this.startDate&&this.compareDay(t,this.startDate)<0||this.endDate&&this.compareDay(t,this.endDate)>0)return!1;if(this.start&&!this.end){if(this.maxDays>0&&this.countDays(t,this.start)>this.maxDays||this.minDays>0&&this.countDays(t,this.start)<this.minDays)return!1;if(this.selectForward&&t<this.start)return!1;if(this.disabledDates.length>0){var e=this.getClosestDates(new Date(parseInt(this.start,10)));if(e[0]&&this.compareDay(t,e[0])<=0)return!1;if(e[1]&&this.compareDay(t,e[1])>=0)return!1}}return!0},t.prototype.checkSelection=function(){var t=this,e=Math.ceil((this.end-this.start)/864e5)+1,s=this.datepicker.getElementsByClassName("datepicker__info--feedback")[0];if(this.maxDays&&e>this.maxDays){this.start=!1,this.end=!1;for(var a=this.datepicker.getElementsByTagName("td"),i=0;i<a.length;i++)t.removeClass(a[i],"datepicker__month-day--selected"),t.removeClass(a[i],"datepicker__month-day--first-day-selected"),t.removeClass(a[i],"datepicker__month-day--last-day-selected");var n=this.maxDays-1;this.topBarErrorText(s,"error-more",n)}else if(this.minDays&&e<this.minDays){this.start=!1,this.end=!1;for(var r=this.datepicker.getElementsByTagName("td"),o=0;o<r.length;o++)t.removeClass(r[o],"datepicker__month-day--selected"),t.removeClass(r[o],"datepicker__month-day--first-day-selected"),t.removeClass(r[o],"datepicker__month-day--last-day-selected");var h=this.minDays-1;this.topBarErrorText(s,"error-less",h)}else this.start||this.end?(this.removeClass(s,"datepicker__info--error"),this.removeClass(s,"datepicker__info--help")):(this.removeClass(s,"datepicker__info--error"),this.addClass(s,"datepicker__info--help"))},t.prototype.addDays=function(t,e){var s=new Date(t);return s.setDate(s.getDate()+e),s},t.prototype.countDays=function(t,e){return Math.abs(this.daysFrom1970(t)-this.daysFrom1970(e))+1},t.prototype.compareDay=function(t,e){var s=parseInt(this.getDateString(t,"YYYYMMDD"),10)-parseInt(this.getDateString(e,"YYYYMMDD"),10);return s>0?1:0===s?0:-1},t.prototype.compareMonth=function(t,e){var s=parseInt(this.getDateString(t,"YYYYMM"),10)-parseInt(this.getDateString(e,"YYYYMM"),10);return s>0?1:0===s?0:-1},t.prototype.daysFrom1970=function(t){return Math.floor(this.toLocalTimestamp(t)/864e5)},t.prototype.toLocalTimestamp=function(t){return"object"==typeof t&&t.getTime&&(t=t.getTime()),"string"!=typeof t||t.match(/\d{13}/)||(t=this.parseDate(t).getTime()),t=parseInt(t,10)-60*(new Date).getTimezoneOffset()*1e3},t.prototype.printAttributes=function(t){var e=t,s="";for(var a in t)Object.prototype.hasOwnProperty.call(e,a)&&(s+=a+'="'+e[a]+'" ');return s},t.prototype.goToNextMonth=function(t){var e=t.target.getAttribute("month"),s=e>1,a=s?this.month2:this.month1;a=this.getNextMonth(a),!this.isSingleMonth()&&!s&&this.compareMonth(a,this.month2)>=0||this.isMonthOutOfRange(a)||(this.showMonth(a,e),this.showSelectedDays(),this.disableNextPrevButtons())},t.prototype.goToPreviousMonth=function(t){var e=t.target.getAttribute("month"),s=e>1,a=s?this.month2:this.month1;a=this.getPrevMonth(a),s&&this.compareMonth(a,this.month1)<=0||this.isMonthOutOfRange(a)||(this.showMonth(a,e),this.showSelectedDays(),this.disableNextPrevButtons())},t.prototype.isSingleMonth=function(){return!this.isVisible(this.getMonthDom(2))},t.prototype.isMonthOutOfRange=function(t){var e=new Date(t.valueOf());return!!(this.startDate&&new Date(e.getFullYear(),e.getMonth()+1,0,23,59,59)<this.startDate||this.endDate&&new Date(e.getFullYear(),e.getMonth(),1)>this.endDate)},t.prototype.disableNextPrevButtons=function(){if(!this.isSingleMonth()){var t=parseInt(this.getDateString(this.month1,"YYYYMM"),10),e=parseInt(this.getDateString(this.month2,"YYYYMM"),10),s=Math.abs(t-e),a=this.datepicker.getElementsByClassName("datepicker__month-button--next")[0],i=this.datepicker.getElementsByClassName("datepicker__month-button--prev")[1];s>1&&89!==s?(this.removeClass(a,"datepicker__month-button--disabled"),this.removeClass(i,"datepicker__month-button--disabled")):(this.addClass(a,"datepicker__month-button--disabled"),this.addClass(i,"datepicker__month-button--disabled"))}},t.prototype.topBarDefaultText=function(){var t="";t=this.minDays&&this.maxDays?this.lang("info-range"):this.minDays&&this.minDays>2?this.lang("info-more-plural"):this.minDays?this.lang("info-more"):this.lang("info-default");var e=this.datepicker.getElementsByClassName("datepicker__info--feedback")[0];t=t.replace(/%d/,this.minDays-1).replace(/%d/,this.maxDays-1),this.addClass(e,"datepicker__info--help"),this.removeClass(e,"datepicker__info--error"),e.textContent=t},t.prototype.topBarErrorText=function(t,e,s){this.addClass(t,"datepicker__info--error"),this.removeClass(t,"datepicker__info--help"),s>1?(e=(e=this.lang(e+"-plural")).replace("%d",s),t.textContent=e):e=this.lang(e),this.datepicker.getElementsByClassName("datepicker__info--selected")[0].style.display="none"},t.prototype.updateSelectableRange=function(){for(var t=this,e=this.datepicker.getElementsByTagName("td"),s=this.start&&!this.end,a=0;a<e.length;a++)if(t.hasClass(e[a],"datepicker__month-day--invalid")&&t.hasClass(e[a],"datepicker__month-day--tmp")&&(t.removeClass(e[a],"datepicker__month-day--invalid"),t.removeClass(e[a],"datepicker__month-day--tmp"),t.addClass(e[a],"datepicker__month-day--valid")),s&&t.hasClass(e[a],"datepicker__month-day--visibleMonth")&&(t.hasClass(e[a],"datepicker__month-day--valid")||t.hasClass(e[a],"datepicker__month-day--disabled"))){var i=parseInt(e[a].getAttribute("time"),10);t.isValidDate(i)?(t.addClass(e[a],"datepicker__month-day--valid"),t.addClass(e[a],"datepicker__month-day--tmp"),t.removeClass(e[a],"datepicker__month-day--invalid"),t.removeClass(e[a],"datepicker__month-day--disabled")):(t.addClass(e[a],"datepicker__month-day--invalid"),t.addClass(e[a],"datepicker__month-day--tmp"),t.removeClass(e[a],"datepicker__month-day--valid"))}return!0},t.prototype.dayHovering=function(t){var e=this,s=parseInt(t.getAttribute("time"),10),a="";if(!this.hasClass(t,"datepicker__month-day--invalid")){for(var i=this.datepicker.getElementsByTagName("td"),n=0;n<i.length;n++){var r=parseInt(i[n].getAttribute("time"),10);r===s?e.addClass(i[n],"datepicker__month-day--hovering"):e.removeClass(i[n],"datepicker__month-day--hovering"),e.start&&!e.end&&(e.start<r&&s>=r||e.start>r&&s<=r)?e.addClass(i[n],"datepicker__month-day--hovering"):e.removeClass(i[n],"datepicker__month-day--hovering")}if(this.start&&!this.end){var o=this.countDays(s,this.start)-1;this.hoveringTooltip&&("function"==typeof this.hoveringTooltip?a=this.hoveringTooltip(o,this.start,s):!0===this.hoveringTooltip&&o>0&&(a=o+" "+(1===o?this.lang("night"):this.lang("nights"))))}}if(a){var h=t.getBoundingClientRect(),d=this.datepicker.getBoundingClientRect(),l=h.left-d.left,c=h.top-d.top;l+=h.width/2;var p=document.getElementById(this.getTooltipId());p.style.display="",p.textContent=a;var m=p.getBoundingClientRect().width,g=p.getBoundingClientRect().height;l-=m/2,c-=g,setTimeout(function(){p.style.left=l+"px",p.style.top=c+"px"},10)}else document.getElementById(this.getTooltipId()).style.display="none"},t.prototype.clearHovering=function(){for(var t=this,e=this.datepicker.getElementsByTagName("td"),s=0;s<e.length;s++)t.removeClass(e[s],"datepicker__month-day--hovering");document.getElementById(this.getTooltipId()).style.display="none"},t.prototype.clearSelection=function(){var t=this;this.start=!1,this.end=!1;for(var e=this.datepicker.getElementsByTagName("td"),s=0;s<e.length;s++)t.removeClass(e[s],"datepicker__month-day--selected"),t.removeClass(e[s],"datepicker__month-day--first-day-selected"),t.removeClass(e[s],"datepicker__month-day--last-day-selected");this.setValue(""),this.checkSelection(),this.showSelectedInfo(),this.showSelectedDays()},t.prototype.parseDisabledDates=function(){for(var t=this,e=[],s=0;s<this.disabledDates.length;s++)e[s]=fecha.parse(t.disabledDates[s],"YYYY-MM-DD");e.sort(function(t,e){return t-e}),this.disabledDatesTime=e},t.prototype.getClosestDates=function(t){var e=this,s=[!1,!1];if(t<this.disabledDatesTime[0])s=this.enableCheckout?[!1,this.addDays(this.disabledDatesTime[0],1)]:[!1,this.disabledDatesTime[0]];else if(t>this.disabledDatesTime[this.disabledDatesTime.length-1])s=[this.disabledDatesTime[this.disabledDatesTime.length-1],!1];else{var a,i=this.disabledDatesTime.length,n=this.disabledDatesTime.length,r=Math.abs(new Date(0,0,0).valueOf()),o=r,h=-r,d=0;for(a=0;a<this.disabledDatesTime.length;++a)(d=t-e.disabledDatesTime[a])<0&&d>h&&(n=a,h=d),d>0&&d<o&&(i=a,o=d);this.disabledDatesTime[i]&&(s[0]=this.disabledDatesTime[i]),void 0===this.disabledDatesTime[i]?s[1]=!1:this.enableCheckout?s[1]=this.addDays(this.disabledDatesTime[n],1):s[1]=this.disabledDatesTime[n]}return s},t.prototype.lang=function(t){return t in this.i18n?this.i18n[t]:""},t.prototype.emptyElement=function(t){for(;t.firstChild;)t.removeChild(t.firstChild)},t.prototype.classRegex=function(t){return new RegExp("(^|\\s+)"+t+"(\\s+|$)")},t.prototype.hasClass=function(t,e){return this.classRegex(e).test(t.className)},t.prototype.addClass=function(t,e){this.hasClass(t,e)||(t.className=t.className+" "+e)},t.prototype.removeClass=function(t,e){t.className=t.className.replace(this.classRegex(e)," ")},t.prototype.isVisible=function(t){return t.offsetWidth||t.offsetHeight||t.getClientRects().length},t.prototype.slideDown=function(t,e){t.style.display="";var s=t.getBoundingClientRect().height;t.style.height=0,this.recalc(t.offsetHeight),t.style.transition="height "+e,t.style.height=s+"px",t.addEventListener("transitionend",function(){t.style.height=t.style.transition=t.style.display=""})},t.prototype.slideUp=function(t,e){var s=t.getBoundingClientRect().height;t.style.height=s+"px",this.recalc(t.offsetHeight),t.style.transition="height "+e,t.style.height=0,t.addEventListener("transitionend",function(){t.style.display="none"})},t.prototype.recalc=function(t){return t.offsetHeight},t.prototype.isTouchDevice=function(){return"ontouchstart"in window||window.DocumentTouch&&document instanceof DocumentTouch},t.prototype.open=function(){this.openDatepicker()},t.prototype.close=function(){this.closeDatepicker()},t.prototype.getDatePicker=function(){return this.datepicker},t.prototype.setRange=function(t,e){"string"==typeof t&&"string"==typeof e&&(t=this.parseDate(t),e=this.parseDate(e)),this.setDateRange(t,e)},t.prototype.clear=function(){this.clearSelection()},t}();
